<?php

$add_css = "
	<style>
	.infobulle span	{width:600px;left:-635px !important;top:-15px !important;font-size:1em;}
	.infobulle span img	{width:85px;margin-left:20px;margin-bottom:10px;float:right;border:1px solid #999}
	</style>
";

require($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/inc/head.php');
require($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/inc/sidebar-eleve.php');
//require($_SERVER['DOCUMENT_ROOT'].dirname($_SERVER["PHP_SELF"]).'/submenu.inc.php');

$q = "SELECT * FROM cdi_livres";

if( ($_GET['keyword']<>"" && strlen($_GET['keyword'])>2) || ($_GET['auteur']<>"" && strlen($_GET['auteur'])>2) || (!isset($_GET['keyword']) && !isset($_GET['auteur']))){
	$q.= " WHERE 1=1";

	if( $_GET['keyword']<>""){	
		$keywords = explode(" ",addslashes($_GET['keyword']));

		foreach($keywords as $key){
			if(strlen($key)>2){
				$q.=" AND (presentation LIKE '%$key%' OR titre LIKE '%$key%')";
			}
		}
	}

	if($_GET['auteur']<>"" && strlen($_GET['auteur'])>2){
		$auteur = addslashes($_GET['auteur']);
		$q.= " AND auteurs LIKE '%$auteur%' ";
	}

	//if($_GET['filiere']<>"null"){
	//	$q.= " AND id_filiere = '".$_GET['filiere']."' ";
	//}

	$q.=" ORDER BY titre";
		
	//echo $q;

	$sql = dbquery($q);




	if(dbnumrows($sql) == 0){
		$resultats = "<br><br><p class='smaller red'>Aucun résultat.</p>";
	}
	else{
		$n=dbnumrows($sql);

		$resultats = "<br><br><p class='smaller red'>".$n." résultat(s)<br><br></p> <table>";

		for($i=0;$i<dbnumrows($sql);$i++){
			$id_livre		= dbresult_utf8($sql,$i,"id_livre");
			$titre			= dbresult_utf8($sql,$i,"titre");
			$auteurs		= dbresult_utf8($sql,$i,"auteurs");
			$presentation	= dbresult_utf8($sql,$i,"presentation");
			$edition		= dbresult_utf8($sql,$i,"edition");
			$image			= dbresult_utf8($sql,$i,"image");
			
			if($image <> "")	$img = '<img src="/base_adm/cdi/livres/visuels/livres/'.$image.'"/>';
			else				$img = "";

			$resultats .='
				<tr>
					<td class="align-left">'.$titre.'</td>
					<td style="width:30%;">'.$auteurs.'</td>
					<td style="width:15px"><a class="infobulle"><img src="/site/img/css/icones/info.png" />
							<span>
								'.$img.'
								<h2>'.$titre.' - '.$edition.'</h2>
								<p>'.$presentation.'</p>
							</span>
						</a>
					</td>
				</tr>
			';
		}

		$resultats .= "</table>";
	}
}
else
	$resultats = "<br><br><p class='smaller red'>Aucun résultat.0</p>";
?>



		<div class="alert">
			<p>
			Vous pouvez consulter en ligne les références de notre fond documentaire disponible aux centres du Port et de St Louis. Vous pouvez consulter sur place les ouvrages pendant nos horaires d'ouverture au public. Vous pourrez emprunter 2 ouvrages maximum par personne avec une durée d'emprunt d'un mois pour permettre une rotation optimale du fond. Un chèque de caution de 50€ par ouvrage emprunté vous sera demandé (non encaissé) et restitué lors du retour de l'ouvrage en bon état.
			Pour les cours d'anglais, il vous sera demandé un ouvrage d’exercices et de préparation au test Bulats. Vous devrez vous acquitter de 10€ pour la location de l'ouvrage (par semestre) et d'un chèque de 50€ non encaissé restitué lors du retour de l'ouvrage en bon état.
			</p>
		</div>

	<form id="recherche_livre" method="get" action="index.php">
		<input type="submit" value="Rechercher" class="bloc bloc-small bg-red" style="float:right;height:60px" />
		<label for="keyword">Rechercher par mot clé : </label>
		<input type="text" name="keyword" id="keyword" size="20"><br><br>
		<label for="auteur">Rechercher par auteur : </label>
		<input type="text" name="auteur" id="auteur" size="20">
		<!-- Rechercher par filière : 
		<select  class="chzn-select" style="width:140px;" name="filiere" disabled="disabled">
			<option value='null'>Indifférent</option>
			<?php /*
			$sql_filiere = dbquery("SELECT * FROM diplomes_filieres");
			for($i=0;$i<dbnumrows($sql_filiere);$i++){
				$id_filiere		=	dbresult_utf8($sql_filiere,$i,"id_filiere");
				$intitule	=	dbresult_utf8($sql_filiere,$i,"intitule");
				echo"<option value='".$id_filiere."'>".$intitule."</option>";
			}	*/		
			?>
		</select>  -->
		
	</form>

	<?php echo $resultats; ?>
</div>

<?php
require_once($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/inc/end.php');
?>